%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-ncp
Version:    0.5.1
Release:    3%{?dist}
Summary:    Asynchronous recursive file copy utility for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/AvianFlu/ncp
Source0:    http://registry.npmjs.org/ncp/-/ncp-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(deep-equal)
BuildRequires:  npm(mocha)
BuildRequires:  npm(read-dir-files)
BuildRequires:  npm(rimraf)
%endif

%description
This module is an asynchronous recursive copy utility for Node.js.
Think cp -r, but pure node, and asynchronous. ncp can be used both
as a CLI tool and programmatically.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ncp
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/ncp
mkdir -p %{buildroot}%{nodejs_sitelib}/ncp/bin
install -p -D -m0755 bin/ncp %{buildroot}%{nodejs_sitelib}/ncp/bin/ncp
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/ncp/bin/ncp %{buildroot}%{_bindir}/ncp

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%doc LICENSE.md README.md
%{nodejs_sitelib}/ncp
%{_bindir}/ncp


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.1-1
- update to upstream release 0.5.1

* Fri Apr 18 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.0-1
- update to upstream release 0.5.0

* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.2-2
- restrict to compatible arches

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.2-1
- update to upstream release 0.4.2

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-1
- initial package
